ONVIF::Media::Types::VideoAttributes(3pm)

NAME
ONVIF::Media::Types::VideoAttributes

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoAttributes from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Bitrate

•   Width

•   Height

•   Encoding

•   Framerate

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::VideoAttributes
   Bitrate =>  $some_value, # int
   Width =>  $some_value, # int
   Height =>  $some_value, # int
   Encoding => $some_value, # VideoEncoding
   Framerate =>  $some_value, # float
 },

AUTHOR
Generated by SOAP::WSDL